Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Interface Driver

All Known Implementing Classes:
  AbstractDriver, AudioOutputDriver, MidiInputDriver

    public interface Driver

Defines the generic properties that every driver should have.

Method Summary
`java.lang.String` | `getDescription()` Gets a description about this driver.
`java.lang.String` | `getName()` Gets the name of this driver.
`java.lang.String[]` | `getParameterNames()` Gets the names of all parameters available for this driver.
`Parameter[]` | `getParameters()` Gets all parameters available for this driver.
`java.lang.String` | `getVersion()` Gets the version of this driver.

Method Detail

### getName

    java.lang.String getName()

  Gets the name of this driver.

  Returns:
    The name of this driver.

### getDescription

    java.lang.String getDescription()

  Gets a description about this driver.

  Returns:
    A description about this driver.

### getVersion

    java.lang.String getVersion()

  Gets the version of this driver.

  Returns:
    The version of this driver.

### getParameters

    Parameter[] getParameters()

  Gets all parameters available for this driver.

  Returns:
    `Parameter` array with all parameters available for this driver.

### getParameterNames

    java.lang.String[] getParameterNames()

  Gets the names of all parameters available for this driver.

  Returns:
    `String` array with the names of all parameters available for this driver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.